package Task2;

import java.util.Scanner;

public class Palindrome {

    public static void main(String[] args) {
        try (Scanner scanner = new Scanner(System.in)) {
            System.out.print("Enter an integer: ");
            int number = scanner.nextInt();
            System.out.println(isPalindrome(number) ? "Palindrome" : "Not a palindrome");
        }
    }

    public static boolean isPalindrome(int number) {
        return number == reverse(number); // Use iterative reverse for simplicity
    }

    // Iterative reverse function for clarity
    public static int reverse(int number) {
        int reversed = 0;
        while (number != 0) {
            reversed = reversed * 10 + number % 10;
            number /= 10;
        }
        return reversed;
    }
}

