package Task2;

import java.util.Scanner;

public class ReverseInteger {

    public static void main(String[] args) {
        try (Scanner scanner = new Scanner(System.in)) { // Use try-with-resources for cleaner resource management
            System.out.print("Enter an integer: ");
            int number = scanner.nextInt();

            System.out.print("The reversed integer is: ");
            reverse(number); // Use iterative reverse for clarity
        }
    }
    public static void reverse(int number) {
        int reversed = 0;
        while (number != 0) {
            reversed = reversed * 10 + number % 10;  // Build the reversed number digit by digit
            number /= 10;                             // Remove the last digit from the original number
        }
        System.out.println(reversed);
    }
}
